Subject: Re: linux-next: build failure after merge of the final tree (md tree related)

From: NeilBrown <[email-masked]>
Date: Mon, 23 Apr 2012 10:18:02 +1000

On Fri, 20 Apr 2012 15:34:48 +1000 Stephen Rothwell <[email-masked]>
wrote:

> Hi Neil,
> 
> After merging the final tree, today's linux-next build (i386 defconfig)
> failed like this:
> 
> drivers/built-in.o: In function `bitmap_resize':
> (.text+0x202b76): undefined reference to `__udivdi3'
> drivers/built-in.o: In function `bitmap_resize':
> (.text+0x202bac): undefined reference to `__udivdi3'
> 
> Caused by commit 6c5cb1922cca ("md/bitmap: add bitmap_resize function to
> allow bitmap resizing").
> 
> I also get these warnings:
> 
> drivers/md/bitmap.c: In function 'bitmap_resize':
> drivers/md/bitmap.c:1878:11: warning: comparison of distinct pointer types lacks a cast [enabled by default]
> drivers/md/bitmap.c:1887:11: warning: passing argument 3 of 'bitmap_get_counter' from incompatible pointer type [enabled by default]
> drivers/md/bitmap.c:1225:26: note: expected 'sector_t *' but argument is of type 'long int *'
> drivers/md/bitmap.c:1892:12: warning: passing argument 3 of 'bitmap_get_counter' from incompatible pointer type [enabled by default]
> drivers/md/bitmap.c:1225:26: note: expected 'sector_t *' but argument is of type 'long int *'
> drivers/md/bitmap.c:1920:8: warning: passing argument 3 of 'bitmap_get_counter' from incompatible pointer type [enabled by default]
> drivers/md/bitmap.c:1225:26: note: expected 'sector_t *' but argument is of type 'long int *'
> 
> I applied the patch below for the link failure, but the above warnings
> should be addressed as well.

Thanks Stephen.  I've fixed all that up now - and done a test 32-bit
compile :-)

Thanks,
NeilBrown